MailSessionFactory (Tomcat API Documentation)
Keywords: org.apache.naming.factory.MailSessionFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class MailSessionFactory

    java.lang.Object
      org.apache.naming.factory.MailSessionFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class MailSessionFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Factory class that creates a JNDI named JavaMail Session factory, which can be used for managing inbound and outbound electronic mail messages via JavaMail APIs. All messaging environment properties described in the JavaMail Specification may be passed to the Session factory; however the following properties are the most commonly used:

- mail.smtp.host - Hostname for outbound transport connections. Defaults to `localhost` if not specified.

This factory can be configured in a `<DefaultContext>` or `<Context>` element in your `conf/server.xml` configuration file. An example of factory configuration is:

     <Resource name="mail/smtp" auth="CONTAINER"
               type="javax.mail.Session"/>
     <ResourceParams name="mail/smtp">
       <parameter>
         <name>factory</name>
         <value>org.apache.naming.factory.MailSessionFactory</value>
       </parameter>
       <parameter>
         <name>mail.smtp.host</name>
         <value>mail.mycompany.com</value>
       </parameter>
     </ResourceParams>

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected static java.lang.String` | `factoryType` The Java type for which this factory knows how to create objects.

Constructor Summary
`MailSessionFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object refObj, javax.naming.Name name, javax.naming.Context context, java.util.Hashtable env)` Create and return an object instance based on the specified characteristics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factoryType

    protected static final java.lang.String factoryType

  The Java type for which this factory knows how to create objects.

  See Also:
    Constant Field Values

Constructor Detail

### MailSessionFactory

    public MailSessionFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object refObj,
                                              javax.naming.Name name,
                                              javax.naming.Context context,
                                              java.util.Hashtable env)
                                       throws java.lang.Exception

  Create and return an object instance based on the specified characteristics.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `refObj` - Reference information containing our parameters, or null if there are no parameters
    `name` - The name of this object, relative to context, or null if there is no name
    `context` - The context to which name is relative, or null if name is relative to the default initial context
    `env` - Environment variables, or null if there are none
  Throws:
    `java.lang.Exception` - if an error occurs during object creation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.